#ifndef _RTE_CONTROL_VELOCIDAD_PARAMETERS_H
#define _RTE_CONTROL_VELOCIDAD_PARAMETERS_H
#include "rtwtypes.h"
#include "SegmentInfo.hpp"
#include "multiword_types.h"
#include "zero_crossing_types.h"
#include "control_Velocidad_types.h"

struct RTE_Param_Service_T {
  real_T cte_amplitud;
  real_T cte_encoder;
  real_T gain_velocidad;
  real_T n_lim_direccion;
  real_T polos;
};

extern RTE_Param_Service_T RTE_Param_Service;
extern RTE_Param_Service_T *RTE_Param_Service_ptr;
real_T* get_cte_amplitud(void);
real_T* get_cte_encoder(void);
real_T* get_gain_velocidad(void);
real_T* get_n_lim_direccion(void);
real_T* get_polos(void);
namespace slrealtime
{
  SegmentVector &getSegmentVector(void);
}                                      // slrealtime

#endif
